import { Request, Response } from 'express';
import { defaultPaginationDto } from '../shared/shared.dto';
import { createDepartmentDto, updateDepartmentDto } from './departments.dto';
import { DepartmentsService } from './departments.service';
export declare class DepartmentsController {
    private readonly service;
    constructor(service: DepartmentsService);
    create(data: createDepartmentDto, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    getAll(owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    filteredDepartments(query: defaultPaginationDto, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    find(departmentId: string, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    update(departmentId: string, owner_id: string, data: updateDepartmentDto, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    delete(departmentId: string, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
}
